# FormatException class

Exception thrown when a string or some other data does not have an expected format and cannot be parsed or processed.

Implemented types
  - Exception

## Constructors

FormatException([String message = "", dynamic source, int offset ])
  Creates a new FormatException with an optional error `message`. [...]
  const

## Properties

message → String
  A message describing the format error.
  final
offset → int
  The offset in source where the error was detected. [...]
  final
source → dynamic
  The actual source input which caused the error. [...]
  final
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

toString() → String
  Returns a description of the format exception. [...]
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited